org.apache.ignite.internal.processors.cache

## Interface GridCacheFuture<R>

All Superinterfaces:
  IgniteInternalFuture<R>

All Known Subinterfaces:
  GridCacheAtomicFuture<R>, GridCacheMvccFuture<T>

All Known Implementing Classes:
  CacheDistributedGetFutureAdapter, GridCacheTxRecoveryFuture, GridDhtAtomicAbstractUpdateFuture, GridDhtColocatedLockFuture, GridDhtLockFuture, GridDhtTxFinishFuture, GridDhtTxPrepareFuture, GridLocalLockFuture, GridNearAtomicAbstractUpdateFuture, GridNearAtomicSingleUpdateFuture, GridNearAtomicUpdateFuture, GridNearGetFuture, GridNearLockFuture, GridNearOptimisticSerializableTxPrepareFuture, GridNearOptimisticTxPrepareFuture, GridNearOptimisticTxPrepareFutureAdapter, GridNearPessimisticTxPrepareFuture, GridNearTxFinishFuture, GridNearTxPrepareFutureAdapter, GridPartitionedGetFuture, GridPartitionedSingleGetFuture

    public interface GridCacheFuture<R>
    extends IgniteInternalFuture<R>

This interface should be implemented by all distributed futures.

### Method Summary

Methods
`IgniteUuid` `futureId()`
`void` `markNotTrackable()` Marks this future as non-trackable.
`boolean` `onNodeLeft(UUID nodeId)` Callback for when node left.
`boolean` `trackable()`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, duration, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result, startTime`

### Method Detail

#### futureId

    IgniteUuid futureId()

Returns:
  Unique identifier for this future.

#### onNodeLeft

    boolean onNodeLeft(UUID nodeId)

Callback for when node left.

Parameters:
  `nodeId` - Left node ID.
Returns:
  `True` if future cared about this node.

#### trackable

    boolean trackable()

Returns:
  `True` if future should be tracked.

#### markNotTrackable

    void markNotTrackable()

Marks this future as non-trackable.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017